org.apache.poi.sl.draw.binding

## Class CTVector3D

- java.lang.Object
- - org.apache.poi.sl.draw.binding.CTVector3D

-     public class CTVector3D
      extends java.lang.Object

  Java class for CT_Vector3D complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="CT_Vector3D">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <attribute name="dx" use="required" type="{http://schemas.openxmlformats.org/drawingml/2006/main}ST_Coordinate" />
             <attribute name="dy" use="required" type="{http://schemas.openxmlformats.org/drawingml/2006/main}ST_Coordinate" />
             <attribute name="dz" use="required" type="{http://schemas.openxmlformats.org/drawingml/2006/main}ST_Coordinate" />
           </restriction>
         </complexContent>
       </complexType>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected long` | `dx`
    `protected long` | `dy`
    `protected long` | `dz`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CTVector3D()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `long` | `getDx()` Gets the value of the dx property.
    `long` | `getDy()` Gets the value of the dy property.
    `long` | `getDz()` Gets the value of the dz property.
    `boolean` | `isSetDx()`
    `boolean` | `isSetDy()`
    `boolean` | `isSetDz()`
    `void` | `setDx(long value)` Sets the value of the dx property.
    `void` | `setDy(long value)` Sets the value of the dy property.
    `void` | `setDz(long value)` Sets the value of the dz property.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### dx

          protected long dx

    - #### dy

          protected long dy

    - #### dz

          protected long dz

  - ### Constructor Detail

    - #### CTVector3D

          public CTVector3D()

  - ### Method Detail

    - #### getDx

          public long getDx()

      Gets the value of the dx property.

    - #### setDx

          public void setDx(long value)

      Sets the value of the dx property.

    - #### isSetDx

          public boolean isSetDx()

    - #### getDy

          public long getDy()

      Gets the value of the dy property.

    - #### setDy

          public void setDy(long value)

      Sets the value of the dy property.

    - #### isSetDy

          public boolean isSetDy()

    - #### getDz

          public long getDz()

      Gets the value of the dz property.

    - #### setDz

          public void setDz(long value)

      Sets the value of the dz property.

    - #### isSetDz

          public boolean isSetDz()

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.